





#ifndef XPATHBASENODE_H
#define XPATHBASENODE_H

#include "xasset.h"

class XPathBaseNode : public XAsset
{
public:
    explicit XPathBaseNode();

    void ParseData(QDataStream *aStream) override;

    const float* GetOrigin() const;
    void SetOrigin(const float* origin, size_t count = 3);

    unsigned int GetType() const;
    void SetType(unsigned int type);

private:
    float mOrigin[3] = {0.0f, 0.0f, 0.0f};
    unsigned int mType = 0;
};

#endif // XPATHBASENODE_H





